Bug 805471 - Sisvga (sis 671...) xorg.conf
Sisvga (sis 671...) xorg.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 08:22 EDT by marcos de brito carvalho
Modified: 2013-08-01 09:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (67.45 KB, text/plain)
2012-04-21 11:48 EDT, marcos de brito carvalho
no flags Details

  None (edit)
Description marcos de brito carvalho 2012-03-21 08:22:20 EDT
Earlier versions of fedora comes with "system-config-display" which is the generated file "xorg.conf" needed to have a resolution of "1200 X 800" plates system. Please check this file without generating the same or just a way to increase the resolution "1024 x 768" vesa driver to "1200 x 800" for cards "sis 671" O "gnome" worked well with their resources , and so did not need to Activate from the "fallback" just resolution that was low on this board ...


Texto original em portugues brasil:


Versões anteriores do fedora vem com "system-config-display " o qual gerava -se o arquivo "xorg.conf" necessário para ter uma resolução de "1200 X 800" em placas sis. Por favor, verificar como gerar este arquivo sem o mesmo, ou uma forma de apenas aumentar a resolução de "1024 x 768" do driver vesa para "1200 x 800" para placas "sis 671 "  O "gnome" funcionou bem com seus recuros, e não precisei ativer o modo " fallback " apenas a resolução que ficou baixa nesta placa...
Comment 1 Adam Jackson 2012-03-23 11:22:01 EDT
I think you're describing two problems:

1) we didn't pick the sis driver by default on this hardware
2) the vesa driver didn't pick 1280x800

Is this accurate?

In any event, please attach /var/log/Xorg.0.log from runs with both the sis and vesa drivers so I can see what's going on.
Comment 2 marcos de brito carvalho 2012-03-26 16:26:12 EDT
I'm sorry for the delay, I'm using "vesa driver." Is there a driver for sis 672 available for fedora?

If not, follow the original xorg.conf generated by the system:

#############################################################


Section "ServerLayout"
    Identifier     "X.org Configured"
    Screen      0  "Screen0" 0 0
    Screen      1  "Screen1" RightOf "Screen0"
    InputDevice    "Mouse0" "CorePointer"
    InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
    ModulePath   "/usr/lib/xorg/modules"
    FontPath     "catalogue:/etc/X11/fontpath.d"
    FontPath     "built-ins"
EndSection

Section "Module"
    Load  "extmod"
    Load  "dbe"
    Load  "dri2"
    Load  "dri"
    Load  "glx"
    Load  "record"
EndSection

Section "InputDevice"
    Identifier  "Keyboard0"
    Driver      "kbd"
EndSection

Section "InputDevice"
    Identifier  "Mouse0"
    Driver      "mouse"
    Option        "Protocol" "auto"
    Option        "Device" "/dev/input/mice"
    Option        "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
    Identifier   "Monitor0"
    VendorName   "Monitor Vendor"
    ModelName    "Monitor Model"
EndSection

Section "Monitor"
    Identifier   "Monitor1"
    VendorName   "Monitor Vendor"
    ModelName    "Monitor Model"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"               # [<bool>]
        #Option     "Rotate"                 # <str>
        #Option     "fbdev"                  # <str>
        #Option     "debug"                  # [<bool>]
    Identifier  "Card0"
    Driver      "fbdev"
    BusID       "PCI:1:0:0"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"               # [<bool>]
        #Option     "DefaultRefresh"         # [<bool>]
        #Option     "ModeSetClearScreen"     # [<bool>]
    Identifier  "Card1"
    Driver      "vesa"
    BusID       "PCI:1:0:0"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device     "Card0"
    Monitor    "Monitor0"
    SubSection "Display"
        Viewport   0 0
        Depth     1
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     4
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     8
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     15
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     16
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     24
    EndSubSection
EndSection

Section "Screen"
    Identifier "Screen1"
    Device     "Card1"
    Monitor    "Monitor1"
    SubSection "Display"
        Viewport   0 0
        Depth     1
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     4
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     8
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     15
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     16
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     24
    EndSubSection
EndSection



################################################################

I thank you for help with xorg.conf and I apologize again for the delay in responding

During standby
Marcos de Brito carvalho





texto em portugues:

Me Desculpe pela demora, estou usando o "driver vesa" . Existe algum driver para a sis 672 disponível para fedora?

Caso não, segue o xorg.conf original gerado pelo sistema:

###################################################

Desde já agradeço a ajuda com xorg.conf e me desculpo novamente pela demora ao responder

Em aguardo
Marcos de brito carvalho
Comment 3 Adam Jackson 2012-04-18 13:04:40 EDT
(In reply to comment #2)
> I'm sorry for the delay, I'm using "vesa driver." Is there a driver for sis 672
> available for fedora?
> 
> If not, follow the original xorg.conf generated by the system:

I didn't ask for xorg.conf.  I asked for /var/log/Xorg.0.log
Comment 4 marcos de brito carvalho 2012-04-21 11:48:20 EDT
Created attachment 915443 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 5 Fedora End Of Life 2013-07-04 00:24:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:23:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.